# Swim

A tunneling proxy-firewall combo.

Swim is, at it's simplest, a traffic router. You can create port mappings and it
it will forward connections on those ports over a connection to/as another port.

## Why?

For a while I had used SSH to tunnel traffic between my on-prem server and my
cloud servers. SSH is secure, and it's not difficult to use. However, it gets
harder if you are working on an unstable network, and you have lots of
connections to manage.

So swim takes the best parts of SSH and gives them a more robust protocol (QUIC),
pub/priv key authentication, and reports for monitoring managing connections.
